#23835 [NEW]: setcookie doc out of date

From: Date: Tue, 27 May 2003 16:25:56 +0000
Subject: #23835 [NEW]: setcookie doc out of date
Groups: php.doc 
Request: Send a blank email to phpdoc+get-969353943@lists.php.net to get a copy of this message
From: kruemelmonster at cookiecan dot de Operating system: PHP version: 4.3.2RC4 PHP Bug Type: Documentation problem Bug description: setcookie doc out of date the documentation of setcookie() suffers major inconsistencies. from the setcookie() man page: -------------------------------------------- expire: The time the cookie expires. This is a unix timestamp so is in number of seconds since the epoch. In otherwords, you'll most likely set this with the time() function plus the number of seconds before you want it to expire. Or you might use mktime(). -------------------------------------------- refers to the old netscape-spec http://www.netscape.com/newsref/std/cookie_spec.html which clearly states: -------------------------------------------- expires=DATE The expires attribute specifies a date string that defines the valid life time of that cookie. Once the expiration date has been reached, the cookie will no longer be stored or given out. The date string is formatted as: Wdy, DD-Mon-YYYY HH:MM:SS GMT This is based on RFC 822, RFC 850, RFC 1036, and RFC 1123,... [snip] -------------------------------------------- unix_ts <?> datestring? what gives? please also consider the new specs published by the ietf: http://www.ietf.org/rfc/rfc2109.txt http://www.ietf.org/rfc/rfc2965.txt as posted by a user, implementing 'max-age'. either remove the explanation completely or correct it with a list of the type: expires: - unix_ts - datestring and you might want to include max_age thanx -- Edit bug report at http://bugs.php.net/?id=23835&edit=1 -- Try a CVS snapshot: http://bugs.php.net/fix.php?id=23835&r=trysnapshot Fixed in CVS: http://bugs.php.net/fix.php?id=23835&r=fixedcvs Fixed in release: http://bugs.php.net/fix.php?id=23835&r=alreadyfixed Need backtrace: http://bugs.php.net/fix.php?id=23835&r=needtrace Try newer version: http://bugs.php.net/fix.php?id=23835&r=oldversion Not developer issue: http://bugs.php.net/fix.php?id=23835&r=support Expected behavior: http://bugs.php.net/fix.php?id=23835&r=notwrong Not enough info: http://bugs.php.net/fix.php?id=23835&r=notenoughinfo Submitted twice: http://bugs.php.net/fix.php?id=23835&r=submittedtwice register_globals: http://bugs.php.net/fix.php?id=23835&r=globals PHP 3 support discontinued: http://bugs.php.net/fix.php?id=23835&r=php3 Daylight Savings: http://bugs.php.net/fix.php?id=23835&r=dst IIS Stability: http://bugs.php.net/fix.php?id=23835&r=isapi Install GNU Sed: http://bugs.php.net/fix.php?id=23835&r=gnused

« previous php.doc (#969353943) next »